function addTween(tObj)
{
   if(tObj.mc == undefined)
   {
      _root.mLog("ERROR:: tween object with undefined mc");
      return undefined;
   }
   if(tObj.frames == undefined)
   {
      _root.mLog("ERROR:: tween object with undefined frames");
      return undefined;
   }
   if(tObj.x == undefined)
   {
      tObj.x = tObj.mc._x;
   }
   if(tObj.alpha == undefined)
   {
      tObj.alpha = tObj.mc._alpha;
   }
   if(tObj.y == undefined)
   {
      tObj.y = tObj.mc._y;
   }
   if(tObj.delay == undefined)
   {
      tObj.delay = 0;
   }
   if(tObj.scale != undefined)
   {
      tObj.xscale = tObj.scale;
      tObj.yscale = tObj.scale;
   }
   else
   {
      if(tObj.xscale == undefined)
      {
         tObj.xscale = tObj.mc._xscale;
      }
      if(tObj.yscale == undefined)
      {
         tObj.yscale = tObj.mc._yscale;
      }
   }
   TweenObjects.push(tObj);
}
function onEnterFrame()
{
   var i = 0;
   while(i < TweenObjects.length)
   {
      doTween(TweenObjects[i]);
      i++;
   }
}
function doTween(tObj)
{
   var mc = tObj.mc;
   if(0 < tObj.delay)
   {
      tObj.delay -= 1;
      return undefined;
   }
   if(0 >= tObj.frames)
   {
      mc._x = mc.x;
      mc._y = mc.y;
      mc._xscale = mc.xscale;
      mc._yscale = mc.yscale;
      mc._alpha = mc.alpha;
      removeTween(tObj);
   }
   else
   {
      mc._x += (tObj.x - mc._x) / tObj.frames;
      mc._y += (tObj.y - mc._y) / tObj.frames;
      mc._xscale += (tObj.xscale - mc._xscale) / tObj.frames;
      mc._yscale += (tObj.yscale - mc._yscale) / tObj.frames;
      mc._alpha += (tObj.alpha - mc._alpha) / tObj.frames;
      tObj.frames -= 1;
   }
}
function removeTween(tObj)
{
   var i = 0;
   while(i < TweenObjects.length)
   {
      if(TweenObjects[i] == tObj)
      {
         TweenObjects.splice(i,1);
         break;
      }
      i++;
   }
}
TweenObjects = new Array();
